Subject: Re: [hybi] -09: abstract and introduction

From: Alessandro Alinone <[email-masked]>
Date: Tue, 21 Jun 2011 20:10:04 +0200

Hi,

I think that limiting the historical mention to HTTP polling and long
polling is a bit restrictive. We have been using HTTP streaming
very successfully for 11 years now, in many production scenarios (via
various techniques made available in the course of history, including:
ILAYER streaming on glorious Netscape 4; FRAME streaming on other very old
browsers; IFRAME streaming on old browsers; XHR streaming on some newer
browsers). So I propose to rephrase the "Background" section including HTTP
streaming.

Thanks,

Alessandro

-- 
Alessandro Alinone
co-CEO and CTO
www.lightstreamer.com :: Weswit Srl

On 6/20/11 12:57 AM, Greg Wilkins wrote:

> On 16 June 2011 07:10, Peter Saint-Andre <stpeter at stpeter.im> wrote:
>> Section 1.1 has always struck me as strange. It sounds as if we're
>> developing an IM protocol here! I suggest:
>>
>>   Historically, creating Web applications that need bidirectional
>>   communication between a client and a server (e.g., instant messaging
>>   and gaming applications) has required an abuse of HTTP to poll the
>>   server for updates while sending upstream notifications as distinct
>>   HTTP calls. [RFC6202]
>
>
> I don't think the usage of "abuse" can be justified.   There is
> nothing abusive about long polling and it is entirely legal HTTP.
> Besides that is too much of a subjective reason.
>
> How about:
>
>   Historically, creating Web applications that need bidirectional
>   communication between a client and a server (e.g., instant messaging
>   and gaming applications), has required the use of HTTP to poll or long
>   poll the server for updates.  Such usage of HTTP is less efficient
> and responsive
>   that what is possible with a TCP/IP connection.

Sure. I tried to leave as much of the current text alone in my suggestion.

Peter

-- 
Peter Saint-Andrehttps://stpeter.im/

---

From: Salvatore Loreto <[email-masked]>
Date: Thu, 23 Jun 2011 15:34:45 +0300

On 6/21/11 9:10 PM, Alessandro Alinone wrote:
> ILAYER streaming on glorious Netscape 4; FRAME streaming on other very 
> old browsers; IFRAME streaming on old browsers; XHR streaming on some 
> newer browsers). So I propose to rephrase the "Background" section 
> including HTTP streaming.
>
(as individual)

Note that the first paragraph of Background section includes reference 
to RFC6202 that also cover HTTP streaming.
However I think it would be good spell out also HTTP streaming directly 
in the paragraph.

/Sal

-- 
Salvatore Loreto
www.sloreto.com

> Thanks,
>
> Alessandro
>
> -- 
> Alessandro Alinone
> co-CEO and CTO
> www.lightstreamer.com <http://www.lightstreamer.com> :: Weswit Srl
>
>
> >  On 16 June 2011 07:10, Peter Saint-Andre<stpeter atstpeter.im  <http://stpeter.im>>  wrote: